Bug 47474 - View Results Tree support for plugin renderers
View Results Tree support for plugin renderers
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: Main
unspecified
All All
: P2 normal (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2009-07-05 08:04 UTC by Milamber
Modified: 2009-12-01 12:34 UTC (History)
1 user (show)



Attachments
patch (part1) (3.11 KB, patch)
2009-07-05 08:05 UTC, Milamber
Details | Diff
newfiles (part2) (35.51 KB, application/zip)
2009-07-05 08:06 UTC, Milamber
Details
Screenshot View Results Base (show text) (82.60 KB, image/png)
2009-07-05 08:07 UTC, Milamber
Details
Screenshot View Results Base (drop down) (89.90 KB, image/png)
2009-07-05 08:07 UTC, Milamber
Details
Screenshot View Results Base (reg exp tester) (97.15 KB, image/png)
2009-07-05 08:08 UTC, Milamber
Details
Screenshot View Results Base (menu to add) (59.77 KB, image/png)
2009-07-05 08:08 UTC, Milamber
Details
new patch (part 1) (5.53 KB, patch)
2009-09-06 03:35 UTC, Milamber
Details | Diff
new newfiles (part 2) (38.46 KB, application/zip)
2009-09-06 03:36 UTC, Milamber
Details
screenshot search pane (96.88 KB, image/png)
2009-09-06 03:37 UTC, Milamber
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Milamber 2009-07-05 08:04:56 UTC
Hello,
To permit add some new renderer in view results tree, you find a new listener for replace the 'old' view results tree.

See this thread message for the origine :
http://mail-archives.apache.org/mod_mbox/jakarta-jmeter-dev/200906.mbox/%3c25aac9fc0906281625i64d8c22fn512684d5df87b376@mail.gmail.com%3e

See screenshots to view the new design.

To install the new listener:
1/ apply the patch
2/ add the new files from zip file (import zip in project in Eclipse)

The ant script 'distribution' have 2 errors in test case.
1) GUIComponents1(org.apache.jmeter.junit.JMeterTest)junit.framework.AssertionFailedError: SaveService nameMap (saveservice.properties) should contain org.apache.jmeter.display.results.ViewResultsBase
2) runGUITitle(org.apache.jmeter.junit.JMeterTest)junit.framework.AssertionFailedError: component_reference.xml needs 'View_Results_Base' anchor for org.apache.jmeter.display.results.ViewResultsBase

If this new listener is valid to integration with JMeter main branch, I propose to rename ViewResultsBase to ViewResultsTree and archive the old ViewResultsFullVisualizer.
Comment 1 Milamber 2009-07-05 08:05:44 UTC
Created attachment 23925 [details]
patch (part1)
Comment 2 Milamber 2009-07-05 08:06:22 UTC
Created attachment 23926 [details]
newfiles (part2)
Comment 3 Milamber 2009-07-05 08:07:09 UTC
Created attachment 23927 [details]
Screenshot View Results Base (show text)
Comment 4 Milamber 2009-07-05 08:07:48 UTC
Created attachment 23928 [details]
Screenshot View Results Base (drop down)
Comment 5 Milamber 2009-07-05 08:08:24 UTC
Created attachment 23929 [details]
Screenshot View Results Base (reg exp tester)
Comment 6 Milamber 2009-07-05 08:08:59 UTC
Created attachment 23930 [details]
Screenshot View Results Base (menu to add)
Comment 7 Milamber 2009-07-05 08:11:27 UTC

I forgot to said: this new listener added a new functionality for test regular expression directly on response data in View Results
Comment 8 Milamber 2009-09-06 03:35:54 UTC
Created attachment 24214 [details]
new patch (part 1)
Comment 9 Milamber 2009-09-06 03:36:53 UTC
Created attachment 24215 [details]
new newfiles (part 2)
Comment 10 Milamber 2009-09-06 03:37:36 UTC
Created attachment 24216 [details]
screenshot search pane
Comment 11 Milamber 2009-09-06 03:37:58 UTC
New patch and files to change ViewResultsFullVisualizer in a new visualizer more extensible.
This patch come from java 5 trunk and add a search text pane.
Comment 12 Sebb 2009-11-30 17:53:04 UTC
Thanks very much for the patches.

They have been applied to SVN:

URL: http://svn.apache.org/viewvc?rev=885648&view=rev
Log:
Bug 47474 - View Results Tree support for plugin renderers

Various changes were made to package names, and the search panel is always displayed if it is available. Some refactoring also done so binary files are only processed in one place.

Documentation is still to be updated.
Comment 13 Sebb 2009-12-01 12:34:16 UTC
Added some docn